Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 428376 (CVE-2012-3436)

Summary: <games-simulation/openttd-1.2.2: Denial of Service (CVE-2012-3436)
Product: Gentoo Security Reporter: Sean Amoss <ackle>
Component: VulnerabilitiesAssignee: Gentoo Security <security>
Status: RESOLVED FIXED    
Severity: minor CC: games
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
URL: http://www.openwall.com/lists/oss-security/2012/07/27/5
Whiteboard: B3 [noglsa]
Package list:
Runtime testing required: ---

Description Sean Amoss gentoo-dev Security 2012-07-27 21:58:09 UTC
Upstream requested a CVE identifier on oss-sec ML at $URL:

"we, the OpenTTD developers, have identified a security vulnerability in
OpenTTD (an open source game with multiplayer). Would you be so kind as 
to allocate a CVE id for this issue?

The issue concerns a denial of service vulnerabilty which enables
an attacker to force the server into an invalid game state. The
server will abort upon detecting this state.
This attack can be performed using an unmodified client via normal
game interaction. The attack requires authorization, but most servers
do not implement authorization. The first vulnerable version is 0.6.0,
the upcoming 1.2.2 release will have the issue fixed."
Comment 1 Matthijs Kooijman 2012-07-31 16:18:23 UTC
The detailed description is now public on
http://security.openttd.org/CVE-2012-3436

Note that both the problem description and patches have been updated
to cover a second case of this bug, so if you downloaded the patches
before 2012-07-31 16:00 UTC, please download them again.
Comment 2 GLSAMaker/CVETool Bot gentoo-dev 2012-10-13 20:38:49 UTC
CVE-2012-3436 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2012-3436):
  OpenTTD 0.6.0 through 1.2.1 does not properly validate requests to clear a
  water tile, which allows remote attackers to cause a denial of service (NULL
  pointer dereference and server crash) via a certain sequence of steps
  related to "the water/coast aspect of tiles which also have railtracks on
  one half."
Comment 3 Chris Reffett gentoo-dev Security 2013-09-03 17:37:52 UTC
No affected versions in tree. GLSA vote: no.
Comment 4 Sean Amoss gentoo-dev Security 2013-09-03 21:26:22 UTC
GLSA vote: NO.

Closing noglsa.